package com.oguerreiro.resilient.domain.enumeration;

/**
 * Organization Nature enum
 * This identifies the nature of the organization entry level.
 */
public enum OrganizationNature {
    /**
     * 
  * Represents an organizational level (company; department; university; ...) 
  * Rules		    : An Organization always starts with and entry level ORGANIZATION. 
  * Parent&#39;s allowed: none; ORGANIZATION; LEVEL

     */
    ORGANIZATION,
    /**
     * 
  * Represents a human. With or without a login to the APP. 
  * Rules			: Must have a parent Organization entry
  * Parent&#39;s allowed: any

     */
    PERSON,
    /**
     * 
  * Represents physical building. 
  * Rules			: Must have a parent Organization entry
  * Parent&#39;s allowed: ORGANIZATION; LEVEL

     */
    FACILITY,
    /**
     * 
  * Generic. Its a organizer, creating a level without any system meaning 
  * Rules			: Must have a parent Organization entry
  * Parent&#39;s allowed: any

     */
    LEVEL,
}
