import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { IDashboardComponent } from './dashboard-component.model';
import { IVariable } from 'app/entities/variable/variable.model';

export interface IDashboardComponentDetail extends IResilientEntity {
  name?: string | null;
  color?: string | null;
  indexOrder?: number | null;
  help?: string | null;
  dashboardComponent?: Pick<IDashboardComponent, 'id' | 'name'> | null;
  targetDashboardComponent?: Pick<IDashboardComponent, 'id' | 'name'> | null;
  variable?: Pick<IVariable, 'id' | 'code' | 'name'> | null;
}

export type NewDashboardComponentDetail = Omit<IDashboardComponentDetail, 'id'> & { id: null };
