import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { IMetadataProperty } from 'app/entities/metadata-property/metadata-property.model';
import { OrganizationNature } from 'app/entities/enumerations/organization-nature.model';

export interface IOrganizationType extends IResilientEntity {
  code?: string | null;
  name?: string | null;
  description?: string | null;
  nature?: keyof typeof OrganizationNature | null;
  icon?: string | null;
  iconContentType?: string | null;
  metadataProperties?: Pick<IMetadataProperty, 'id' | 'name'>[] | null;
}

export type NewOrganizationType = Omit<IOrganizationType, 'id'> & { id: null };
