import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { IUser } from 'app/entities/user/user.model';
import { IOrganizationType } from 'app/entities/organization-type/organization-type.model';

export interface IOrganization extends IResilientEntity {
  code?: string | null;
  name?: string | null;
  image?: string | null;
  imageContentType?: string | null;
  inputInventory?: boolean | null;
  outputInventory?: boolean | null;
  user?: Pick<IUser, 'id' | 'login'> | null;
  parent?: Pick<IOrganization, 'id' | 'name'> | null;
  organizationType?: Pick<IOrganizationType, 'id' | 'name' | 'nature'> | null;
  sort?: number | null;
}

export type NewOrganization = Omit<IOrganization, 'id'> & { id: null };
