import dayjs from 'dayjs/esm';
import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';
import { ResilientLogLevel } from 'app/entities/enumerations/resilient-log-level.model';

export interface IResilientLog extends IResilientEntity {
  ownerId?: number | null;
  level?: ResilientLogLevel | null;
  logMessage?: string | null;
  creationDate?: dayjs.Dayjs | null;
  creationUsername?: string | null;
}

export type NewResilientLog = Omit<IResilientLog, 'id'> & { id: null };
