import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IVariableCategory } from '../variable-category.model';

@Component({
  standalone: true,
  selector: 'jhi-variable-category-detail',
  templateUrl: './variable-category-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class VariableCategoryDetailComponent {
  variableCategory = input<IVariableCategory | null>(null);

  previousState(): void {
    window.history.back();
  }
}
